/*
 * Example of an application which only defines a server count
 *
 * Copyright 2009 Canonical Ltd.
 *
 * Authors:
 * - Aurélien Gâteau <aurelien.gateau@canonical.com>
 *
 * License: LGPL v2.1 or LGPL v3
 */
#ifndef QSERVERCOUNT_H
#define QSERVERCOUNT_H

#include <QApplication>
#include <QObject>

#include <qindicateserver.h>

class Controller : public QObject
{
Q_OBJECT
public:
    Controller(QIndicate::Server*);

public Q_SLOTS:
    void slotServerDisplay();
    void increaseCount();

private:
    QIndicate::Server* mServer;
    int mCount;
};

#endif /* QSERVERCOUNT_H */
